<?php /* $Id: mod_mainmenu.php,v 1.6 2004/03/31 08:16:48 rcastley Exp $ */
/**
* Main menu
* @package Mambo Open Source
* @Copyright (C) 2000 - 2003 Miro International Pty Ltd
* @ All rights reserved
* @ Mambo Open Source is Free Software
* @ Released under GNU/GPL License : http://www.gnu.org/copyleft/gpl.html
* @version $Revision: 1.6 $
**/
defined( '_VALID_MOS' ) or die( 'Direct Access to this location is not allowed.' );
// $module is defined in the calling function
// $params is defined in the calling function

require_once( "$mosConfig_absolute_path/modules/mod_mainmenu.class.php" );

$menutype = @$params->menutype ? $params->menutype : 'mainmenu';
$class_sfx = @$params->class_sfx ? $params->class_sfx : '';
$menu_style = @$params->menu_style ? $params->menu_style : '';

switch ($menu_style) {
	case 'horiz_flat':
	mosShowHFMenu( $menutype, $class_sfx );
	break;
	
	default:
	mosShowVIMenu( $menutype, $class_sfx );
	break;
}
?>
